Last Comment Bug 629030 - Java JRE broken in FF 3.6.14 [pogo.com]
: Java JRE broken in FF 3.6.14 [pogo.com]
Status: RESOLVED FIXED
: common-issue+, regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: 1.9.2 Branch
: x86 Windows 7
: -- major with 32 votes (vote)
: ---
Assigned To: Steven Michaud [:smichaud] (Retired)
:
Mentors:
http://card-games.pogo.com/games/spades
: 638070 638114 638135 638329 638382 638499 638530 638536 638541 638583 638747 638808 638810 638877 638919 (view as bug list)
Depends on:
Blocks: 611910
  Show dependency treegraph
 
Reported: 2011-01-26 09:45 PST by Steve Snyder
Modified: 2011-11-18 08:50 PST (History)
54 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.17+
.17-fixed


Attachments
German testvm.xml Java error (2.47 KB, text/plain)
2011-03-03 14:31 PST, Steven Michaud [:smichaud] (Retired)
no flags Details
Colorpicker Java error (1.36 KB, text/plain)
2011-03-03 14:48 PST, Steven Michaud [:smichaud] (Retired)
no flags Details

Description Steve Snyder 2011-01-26 09:45:03 PST
Build #1 of Firefox 3.6.14 breaks the Java Runtime Environment, at least on Win7 32bit with JRE v6u23 installed.

My wife reported that the Java games at pogo.com would stop working after a short time of playing.  This did not happen with 3.6.13 (also with JRE 6u23).

Here's a simpler test.  

1. Go to http://www.java.com/en/download/testjava.jsp
2. Note that the Java information shown by the applet is correct and that the animated coffee cup is seen.
3. Reload the page several times, either by selecting from a bookmark or hitting the Reload button.
4. The applet will stop working. Close the tab with the applet and run the applet again in another tab.  Still doesn't work.

Only by restarting Firefox will Java applets again work.
Comment 1 Steve Snyder 2011-01-26 16:47:21 PST
When I start v3.6.14, then immediately open the Error Console, I see this already logged:

Error: Components.classes['@mozilla.org/oji/jvm-mgr;1'] is undefined
Source File: chrome://javaconsole1.6.0_23/content/ffjcext.js
Line: 33

I run the applet above once and the Java Console is opened.  No errors seen in the console, and the applet appears to run correctly.

On the 2nd run of the applet, this appears in the Java Console:

Your Java configuration is as follows:<br/> <br/>Vendor: <b><a href="http://java.com">Sun Microsystems Inc.</a></b><br/>Version: <b>Java SE 6 Update 23</b><br/>Operating System: <b>Windows XP 5.1</b><br/>Architecture:  <b>x86</b>
Obj:1.6.0_23
Exit worker loop
java.net.MalformedURLException: no protocol: TestVM2-test.jar
	at java.net.URL.<init>(Unknown Source)
	at java.net.URL.<init>(Unknown Source)
	at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.access$600(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
exception: name.
java.lang.IllegalArgumentException: name
	at sun.plugin2.applet.Applet2ClassLoader.addJar(Unknown Source)
	at sun.plugin2.applet.Applet2Manager.loadJarFiles(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Exception: java.lang.IllegalArgumentException: name

Now I have a black rectangle in the browser window where the applet should be shown. Each subsequent attempt to run the applet results in another copy of the error text shown in the Java Console.

Neither of these errors is seen with Firefox v3.6.13.
Comment 2 roy church 2011-01-30 18:31:35 PST
(In reply to comment #0)
> Build #1 of Firefox 3.6.14 breaks the Java Runtime Environment, at least on
> Win7 32bit with JRE v6u23 installed.
> 
> My wife reported that the Java games at pogo.com would stop working after a
> short time of playing.  This did not happen with 3.6.13 (also with JRE 6u23).
> 
> Here's a simpler test.  
> 
> 1. Go to http://www.java.com/en/download/testjava.jsp
> 2. Note that the Java information shown by the applet is correct and that the
> animated coffee cup is seen.
> 3. Reload the page several times, either by selecting from a bookmark or
> hitting the Reload button.
> 4. The applet will stop working. Close the tab with the applet and run the
> applet again in another tab.  Still doesn't work.
> 
> Only by restarting Firefox will Java applets again work.

i am having the same issue.
Comment 3 Steve Snyder 2011-01-30 19:03:41 PST
Yet nobody seems interested.

Oh, well.  I guess I'll be skipping 3.6.14 in favor of the 3.6.15 chemspill release.
Comment 4 szabo.daniel 2011-02-01 01:14:21 PST
here is a reduced test case for this bug:

http://gs3.flyordie.com/FF3614/index.html

the second time the applet tries to start java plugin displays an exception:
java.lang.IllegalArgumentException: name
	at sun.plugin2.applet.Applet2ClassLoader.addJar(Unknown Source)
	at sun.plugin2.applet.Applet2Manager.loadJarFiles(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)

Ok, this might be a bug in the Java Plugin, however, the problem started with 3.6.14
Comment 5 Harald Langhammer 2011-02-07 14:18:28 PST
Shouldn't this be a blocker for 3.6.14 and/or have keyword "regression" to get enough attention by the devs? Perhaps someone with enough bugzilla powers can change this.
Comment 6 jorge alves 2011-02-22 15:59:38 PST
With Namoroka (today's nightly), I get:

Java Plug-in 1.6.0_24
Using JRE version 1.6.0_24-b07 Java HotSpot(TM) Client VM
----------------------------------------------------
exception: Permission denied: null.
java.lang.SecurityException: Permission denied: null
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: null
java.net.MalformedURLException: no protocol: A.zip
	at java.net.URL.<init>(Unknown Source)
	at java.net.URL.<init>(Unknown Source)
	at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.showAppletException(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)

Could this give any hints to the underlying problem?
I can also reproduce comment #1 with the same error.

Note that I'm using JRE 1.6.0_24.
Comment 7 jorge alves 2011-02-22 16:18:27 PST
Also, this is probably filed to the wrong Product/Component combo.
#619349, for example, is under Plugins/Java (Sun).
Comment 8 Warren Forrest 2011-03-02 09:19:28 PST
Well, after Firefox auto-updated all of our customer's computers to 3.6.14, this bug has completely broken their ~$20,000 HVAC graphics control systems. Anybody using the Tridium Niagara R2 framework to control their buildings can no longer use Firefox.

I'm somewhat curious how such a huge bug in such an essential piece of web technology could have been released into the wild after knowing about it for over a month.

exception: Permission denied: null.
java.lang.SecurityException: Permission denied: null
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: null
java.net.MalformedURLException: no protocol: /tridium/web/gxpub.jar
	at java.net.URL.<init>(Unknown Source)
	at java.net.URL.<init>(Unknown Source)
	at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.showAppletException(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Comment 9 lucky2behere@hotmail.com 2011-03-02 09:28:00 PST
I am running XP, FF3.6.14, JRE build 1.6.0_23-b05 when pogo games don't work. As mentioned, this does work with IE8.  My wife just updated to FF3.6.14 using VISTA and she's experiencing the same problem.  Wish there was a way to go back to FF3.6.13.....
Comment 10 Matthew Middleton (:zzxc) 2011-03-02 11:31:04 PST
*** Bug 638135 has been marked as a duplicate of this bug. ***
Comment 11 Matthew Middleton (:zzxc) 2011-03-02 11:43:01 PST
This is being reported by many users on SUMO who have updated to 3.6.14.
Comment 12 christian 2011-03-02 11:57:07 PST
Likely candidates include bug 620773 and bug 611910
Comment 13 christian 2011-03-02 12:34:54 PST
Ok, based on the above comments (comment 1,6,8) the plugin is passing in a malformed URL and we are now throwing an exception...so this is fallout (perhaps desired) from bug 611910
Comment 14 Steven Michaud [:smichaud] (Retired) 2011-03-02 18:18:48 PST
I will need to look into this fairly deeply before I can speculate about it.

I hope the STR from comment #0 are actually reproducible.  I'll find out tomorrow.
Comment 15 christian 2011-03-02 18:43:43 PST
I tried a build from 2010-12-25 (based on https://bugzilla.mozilla.org/show_bug.cgi?id=620773#c35) and it worked.

 Looks like it is certainly caused by bug 611910 (to make things more confusing, the bugs in https://bugzilla.mozilla.org/show_bug.cgi?id=620773#c35 are reversed...bug 620773 landed in 2011, see https://bugzilla.mozilla.org/show_bug.cgi?id=620773#c23)
Comment 16 Daniel Veditz [:dveditz] 2011-03-02 22:30:11 PST
Caused by 620773, you mean? The different error in bug 620773 comment 37 does, however, look like it was caused by bug 611910.
Comment 17 Thomas Christensen 2011-03-03 01:32:14 PST
We have an increasing number of Firefox users that cannot log on to our online banking due to the FF 3.6.14 / JRE error.

Since this potentially affects 1,000,000+ eBanking users, some help would be greatly appreciated...

Java console:
**************************************

exception: Permission denied: https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/.
java.lang.SecurityException: Permission denied: https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/

**************************************
Comment 18 Thomas Christensen 2011-03-03 01:38:19 PST
This is also an issue on 4.0.12 Beta
Comment 19 axianx 2011-03-03 01:39:44 PST
This is a severe issue.

And very easy to reproduce:
1. Go to any applet like http://java.sun.com/applets/jdk/1.4/demo/applets/DitherTest/example1.html
2. Reload the applet in the same tab: breaks with "java.lang.SecurityException: Permission denied: null"

I cannot believe this bug actually found it's way to the public release.
Java applet support essentially got removed in 3.6.14.

You should:
1. stop delivering 3.6.14 immediately to reduce the damage
2. fix the bug and launch 3.6.15 asap
3. review your qa process to avoid future bugs like this one
Comment 20 Thomas Christensen 2011-03-03 01:54:42 PST
At least provide a download link to version 3.6.13 that we can post on our logon pages, so that customers can downgrade until the issue is fixed.
Comment 21 axianx 2011-03-03 02:01:56 PST
@Thomas:
You can still download 3.6.13 on http://download.mozilla.org/?product=firefox-3.6.13 
If you recommend the old version to your customers you should consider that this version has some critical security flaws which got fixed in 3.6.14
Comment 22 Thomas Christensen 2011-03-03 02:55:11 PST
Unfortunately, logging on takes priority over security flaws at the moment.
Comment 23 JS 2011-03-03 05:42:42 PST
Also on Win7, 64 bit using 32bit FF+JRE.
Comment 24 Alan Baxter 2011-03-03 06:31:23 PST
*** Bug 638329 has been marked as a duplicate of this bug. ***
Comment 25 Steven Michaud [:smichaud] (Retired) 2011-03-03 09:47:45 PST
I can't reproduce this bug using the steps-to-reproduce from comment
#0.  I tested with FF 3.6.14 on Windows XP (fully patched) with the
latest Java 6 from Oracle (v6u24).

Anyone else able to reproduce this on Windows XP?

(I have a copy of Windows 7, but I haven't yet installed it.  So it'll
be at least a few hours before I can test on Windows 7.)

But now I see that 638329 was reported on Windows XP.  I'll comment
further there.
Comment 26 thomas 2011-03-03 09:55:37 PST
I have two machines here with a fully patched Windows XP with Java 6u24 and FF 3.6.14 and the Java applets are not working as described in comment #0 and comment #1

The error messages are variable depending on which applet you are trying.
Comment 27 Steven Michaud [:smichaud] (Retired) 2011-03-03 10:08:06 PST
Do these problems happen when you start Firefox in Safe Mode?  (To do
that, choose Mozilla Firefox (Safe Mode) from the Start menu.)
Comment 28 roy church 2011-03-03 10:14:56 PST
answer to comment 27. i restarted firefox in safemode, i logged into pogo, launched a game, and it errored out the same way.
Comment 29 markus.neurohr 2011-03-03 10:38:16 PST
@Steven

This issue was reported by a customer on 3 XP machines with Java version 1.6_021 and 1.6.0_24.

We can reproduce this on all kind of machines XP, Vista, Win7.

As already reported this seems not limited to specific applets, it seems to affect all applets, even very simple ones. Just try this http://www.w3.org/People/mimasa/test/object/java/clock and reload a few times using the "Reload" button. Watch the Java console!

Again, this is in no way limited to Windows 7. It also happens with XP.

I really hope that you understand the severe impact this bug is having! I totally agree with axianx and Warren that I can't understand how 3.6.14 could be released with this bug, even though this bug was already reported in January!
Comment 30 Andy Pople 2011-03-03 10:42:26 PST
It is not even limited to Windows.  I'm seeing the same behavior on Mac OS X 10.6, Firefox 3.6.14, Java 1.6.0_22.
Comment 31 Roger 2011-03-03 10:57:27 PST
A bug has also been opened in the Java SE bug tracking system and are also looking into it from the Java SE side. 
http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=7024306
(this link will not work until later tonight)

-Roger
Comment 32 Steven Michaud [:smichaud] (Retired) 2011-03-03 11:02:52 PST
> It is not even limited to Windows.  I'm seeing the same behavior on
> Mac OS X 10.6, Firefox 3.6.14, Java 1.6.0_22.

Interesting.  Does your FF 3.6.14 distro contain the bundled copy of
the Java Embedding Plugin that comes with it (in its
Contents/MacOS/plugins directory)?  Or have you removed that, and are
using Oracle/Apple's Java Plugin2?

Can you also reproduce with FF 3.6.13?  Or 3.6.12?
Comment 33 JS 2011-03-03 11:03:38 PST
You might have to open the applet page a 2nd time after leaving. Here applets work fine with a fresh started Firefox.
Comment 34 Andy Pople 2011-03-03 11:17:22 PST
I am using plugin2.   I had removed the bundled plugin prior to 3.6.14 being installed.   At this point, I have reverted back to 3.6.13 and everything works fine again.
Comment 35 Mats Palmgren (:mats) 2011-03-03 11:30:19 PST
*** Bug 638499 has been marked as a duplicate of this bug. ***
Comment 36 T.J. Crowder 2011-03-03 11:32:20 PST
(In reply to comment #25)
> I can't reproduce this bug using the steps-to-reproduce from comment
> #0.  I tested with FF 3.6.14 on Windows XP (fully patched) with the
> latest Java 6 from Oracle (v6u24).
> 
> Anyone else able to reproduce this on Windows XP?

Yes, I can replicate it on a fully-patched Windows XP with the latest Sun/Oracle Java plug-in, using the steps from Comment 0. I previously replicated it with Plug-in v6u20. The trigger is clearly Firefox 3.6.14, not a specific JRE or Windows version.

As you can see below, the URL is *not* malformed. It *is* relative, which is valid as far as I know. Relative URLs should be resolved relative to the codebase of the applet; the default codebase if not specified is the document codebase (as you would expect).

From the console:

Java Plug-in 1.6.0_24
Using JRE version 1.6.0_24-b07 Java HotSpot(TM) Client VM
User home directory = C:\Documents and Settings\tjc
----------------------------------------------------
c:   clear console window
f:   finalize objects on finalization queue
g:   garbage collect
h:   display this help message
l:   dump classloader list
m:   print memory usage
o:   trigger logging
q:   hide console
r:   reload policy configuration
s:   dump system and deployment properties
t:   dump thread list
v:   dump thread stack
x:   clear classloader cache
0-5: set trace level to <n>
----------------------------------------------------


Your Java configuration is as follows:<br/> <br/>Vendor: <b><a href="http://java.com">Sun Microsystems Inc.</a></b><br/>Version: <b>Java SE 6 Update 24</b><br/>Operating System: <b>Windows XP 5.1</b><br/>Architecture:  <b>x86</b>
Obj:1.6.0_24
Exit worker loop
exception: Permission denied: null.
java.lang.SecurityException: Permission denied: null
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Exception: java.lang.SecurityException: Permission denied: null
java.net.MalformedURLException: no protocol: TestVM2-test.jar
	at java.net.URL.<init>(Unknown Source)
	at java.net.URL.<init>(Unknown Source)
	at sun.plugin.util.GrayBoxPainter.setProgressFilter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.setupGrayBoxPainter(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager.showAppletException(Unknown Source)
	at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown Source)
	at java.lang.Thread.run(Unknown Source)
Comment 37 Steven Michaud [:smichaud] (Retired) 2011-03-03 11:35:05 PST
We don't need any more reports that some people can reproduce this bug -- that's been clearly established.

What I need to find is precise enough steps-to-reproduce that I myself can reproduce this bug.  I'm working on that, and am making progress.
Comment 38 Harald Langhammer 2011-03-03 11:48:55 PST
Just tested the (German) 3.6.15 build1 candidate from ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/3.6.15-candidates/build1/unsigned/win32/de/ and still have the same issue with it as in 3.6.14

STR:
- open http://www.java.com/de/download/help/testvm.xml
- page loads with an java applet telling if you use current plugin or not
- change to i.e. www.google.com on the same tab
- again open http://www.java.com/de/download/help/testvm.xml (either by entering address or simply going back to last page)
- now the java applet shows only ~40% topmost content, remaining rectangle is filled grey
- reloading with F5 or Ctrl-F5 reloads page but plugin area remains broken
- opening a second firefox doesn't help, here the plugin is broken on the first try
- only closing all firefox instances and starting a new one allows the plugin to work again, but only once

The java test page is the German one, strangely it doesn't happen with the English one: http://www.java.com/en/download/testjava.jsp

Screenshots, first try left, second try right:
http://www.harald-langhammer.de/javabug.gif
Comment 39 B.J. Herbison 2011-03-03 11:57:22 PST
This should be a Firefox 4.0 blocker.
Comment 40 Steven Michaud [:smichaud] (Retired) 2011-03-03 12:00:31 PST
> This should be a Firefox 4.0 blocker.

Are you saying you can reproduce this with an FF4 beta or nightly?
Comment 41 Steven Michaud [:smichaud] (Retired) 2011-03-03 12:07:17 PST
(In reply to comment #38)

> Just tested the (German) 3.6.15 build1 candidate from
> ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/3.6.15-candidates/build1/unsigned/win32/de/
> and still have the same issue with it as in 3.6.14

Interesting.  As far as I know, that build doesn't have my patches for
bug 611910 or bug 620773 (which are supposed to have caused/triggered
this bug).

Am I right, Chris?
Comment 42 B.J. Herbison 2011-03-03 12:10:24 PST
(In reply to comment #40)
> Are you saying you can reproduce this with an FF4 beta or nightly?

Sorry, I should have been more explicit: I saw the problem described in comment 38 (bottom half of applet gray) with the latest nightly build of Firefox 4. It doesn't happen every time.

Mozilla/5.0 (Windows NT 5.2; WOW64; rv:2.0b13pre) Gecko/20110303 Firefox/4.0b13pre
Windows XP
Java 6 Update 23
Comment 43 Steven Michaud [:smichaud] (Retired) 2011-03-03 12:16:57 PST
(In further reply to comment #38)

Bingo!

Your steps-to-reproduce work for me -- and (very interestingly) only
with the German site
(http://www.java.com/de/download/help/testvm.xml), not with the
English language one (http://www.java.com/en/download/testjava.jsp).

Thank you, Harald!

I've no idea why I'm only able to see the bug with the German site.
And I'm not sure how significant that is (as others can apparently
reproduce the bug with the English site).

But having easy STR is more than half the battle.  Presuming they stay
easy to reproduce, I'll report my regression ranges shortly.
Comment 44 Mats Palmgren (:mats) 2011-03-03 12:22:15 PST
*** Bug 638530 has been marked as a duplicate of this bug. ***
Comment 45 Thomas Christensen 2011-03-03 12:23:35 PST
(In reply to comment #17)
> We have an increasing number of Firefox users that cannot log on to our online
> banking due to the FF 3.6.14 / JRE error.
> 
> Since this potentially affects 1,000,000+ eBanking users, some help would be
> greatly appreciated...
> 
> Java console:
> **************************************
> 
> exception: Permission denied:
> https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/.
> java.lang.SecurityException: Permission denied:
> https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/
>     at sun.plugin2.applet.Plugin2Manager$AppletExecutionRunnable.run(Unknown
> Source)
>     at java.lang.Thread.run(Unknown Source)
> Exception: java.lang.SecurityException: Permission denied:
> https://ebanking.sampopankki.fi/html/java/GWPKI/SAM/
> 
> **************************************

Just for the record, I cannot reproduce the issue in FF 4.0 Beta 12.
Comment 46 Steven Michaud [:smichaud] (Retired) 2011-03-03 12:24:34 PST
(Following up comment #43)

I forgot to mention that I've been testing with the en-US version of
Firefox 3.6.14.  (And, as I already mentioned above, I'm testing on
Windows XP with the latest Java -- Java 6 Update 24.)
Comment 47 Mats Palmgren (:mats) 2011-03-03 12:32:23 PST
*** Bug 638541 has been marked as a duplicate of this bug. ***
Comment 48 Tanner Filip [:tanner] 2011-03-03 14:21:16 PST
*** Bug 638583 has been marked as a duplicate of this bug. ***
Comment 49 Steven Michaud [:smichaud] (Retired) 2011-03-03 14:31:37 PST
Created attachment 516708 [details]
German testvm.xml Java error

(Following up comment #43)

Harald's testcase (http://www.java.com/de/download/help/testvm.xml)
turns out to be unusual, and therefore not the best testcase for this
bug.  But I've since found a couple other testcases that "work" (for
me) more like what others have reported here, and which will help me
decipher this bug (I'll discuss them in my next comment).

The German testvm.xml site fails using Harald's STR from comment #38
(on the 1.9.2 branch, when my patch for bug 611910 is present) with
the errors that others have reported here.  But reloading that site
fails with different errors when my patch for bug 611910 isn't present
on the 1.9.2 branch, on the trunk (whether or not my patch for bug
611910 is present), and even in IE8!

This explains Harald's problems with the 3.6.15 candidate build, and
shows that the problem he reported in comment #38 is either unrelated,
or not very closely related.
Comment 50 Steven Michaud [:smichaud] (Retired) 2011-03-03 14:48:29 PST
Created attachment 516711 [details]
Colorpicker Java error

Two new testcase sites:

http://www.lohn1.de/lobn.htm
http://navsurf.com/applets/colorpicker/

Reloading these sites fails on the 1.9.2 branch (FF 3.6.X), when my
patch for bug 611910 is present, with at least some of the errors that
others have reported here.  F5 and the reload button both "work".

In my tests I only need reload the first site once.  I sometimes need
to reload the second site two or three times.

I will try to create a reduced testcase that shows exactly what's
going on here ... but that will probably take a while.

I don't know why these sites don't fail to reload on the trunk (what
will become FF4) -- even with my patch for bug 611910 present.  But I
aim to find out.

The first 1.9.2-branch nightly in which these problems occur is the
firefox-2011-11-23-04-mozilla-1.9.2 nightly -- the one where my patch
for bug 611910 first landed.
Comment 51 Chris Fitzhenry 2011-03-03 15:19:57 PST
I found the problem guys! It took me upgrading to 4b13 to realize this though LOL. There seems to be an issue with ADBLOCK PLUS that is doing this. I disabled ALL Adblock stuff, and things are working again.

If you guys aren't using Adblock - try going into safe mode - with all the add-on's disabled, and see if that solves it.

And, then if that doesn't solve the issue....you can always try unintalling Java (cause, it seems to leave leftovers from every update in there) and re-installing. The BEST way to do this is with a program called REVO Uninstaller. It gets rid of ALL traces of Java - and, then you can do a clean install!

Hope this helps! :)
Comment 52 christian 2011-03-03 15:29:59 PST
The VM I reproduced it with didn't have adblock plus installed...
Comment 53 Steven Michaud [:smichaud] (Retired) 2011-03-03 15:32:06 PST
> There seems to be an issue with ADBLOCK PLUS that is doing this.

Running Adblock Plus may make it easier to reproduce this bug, but it isn't the cause.

I'm not using Adblock Plus, and I can reproduce this bug using the sites from comment #50.

> Hope this helps! :)

It does -- it might explain why I've had such a hard time reproducing this.
Comment 54 AJ 2011-03-03 15:36:27 PST
In case it helps you repro... This page will fail after the 3rd refresh:
http://www.screencast-o-matic.com/detect-full-url.html

After the 3rd refresh the getDocumentBase() function on the applet returns null and you can no longer call functions on the applet via javascript.

Here's a screencast showing the failure:
http://www.screencast-o-matic.com/watch/cXee0w2Xb

Also here's another page which uses a relative path to the jar which also fails on the 3rd load but the error in the console is different:
http://www.screencast-o-matic.com/detect.html
Comment 55 Steven Michaud [:smichaud] (Retired) 2011-03-03 15:39:49 PST
For what it's worth, I (like Andy Pople) can also reproduce this bug
on OS X (10.5.8 and 10.6.6) with FF 3.6.14 -- though (of course) only
when using Java Plugin2 (not when using the JEP that's by default
bundled with FF 3.X on the Mac).

See comment #30, comment #32 and comment #34.
Comment 56 Martin Holz 2011-03-04 01:15:53 PST
I can reproduce the bug with Ubuntu Linux 10.4 LTS too. Firefox is installed and updated via Ubuntu repository.
Comment 57 Mats Palmgren (:mats) 2011-03-04 01:24:42 PST
*** Bug 638536 has been marked as a duplicate of this bug. ***
Comment 58 Scoobidiver (away) 2011-03-04 03:24:34 PST
This issue dissatisfies many 3.6.14 users in the support forum.
A dedicated KB article has been created: https://support.mozilla.com/kb/pogo-and-other-java-pages-dont-work.
I marked is as blocking for 3.6.15.

It could be a regression from bug 570249 or bug 478823.
Comment 59 Marko Karjalainen 2011-03-04 04:35:32 PST
Why this error still occurs?
We have financial customers using applets and now Firefox have automatic updated to this 3.6.14 and all is broken!

ASAP fix for this is needed.

plugin2manager.parentwindowDispose
PluginMain: JNLP2Manager creation: java.net.MalformedURLException
java.net.MalformedURLException
    at java.net.URL.<init>(Unknown Source)
    at java.net.URL.<init>(Unknown Source)
    at java.net.URL.<init>(Unknown Source)
    at sun.plugin2.main.client.PluginMain.handleMessageStartApplet(Unknown Source)
    at sun.plugin2.main.client.PluginMain.mainLoop(Unknown Source)
    at sun.plugin2.main.client.PluginMain.run(Unknown Source)
    at sun.plugin2.main.client.PluginMain.main(Unknown Source)
Caused by: java.lang.NullPointerException
Comment 60 Steven Michaud [:smichaud] (Retired) 2011-03-04 08:54:39 PST
(In reply to comment #50)

> It could be a regression from bug 570249 or bug 478823.

It's clearly a regression from my patch for bug 611910.  Though it's a
complex bug, and I'm sure other factors are involved.  See comment
#50.

Why do you mention those two bugs in particular?
Comment 61 Scoobidiver (away) 2011-03-04 09:03:32 PST
I haven't seen bug 611910 in the release notes of 3.6.14, but its 1.9.2 status has been changed yesterday.
The two bugs I mentioned are the only plugins bugs I saw in the release notes of 3.6.14.
Comment 62 Steven Michaud [:smichaud] (Retired) 2011-03-04 09:36:16 PST
> The two bugs I mentioned are the only plugins bugs I saw in the
> release notes of 3.6.14.

Oh, OK.  So we can safely say they aren't relevant here :-)

If you have the time, it's of course best to get a nightly regression
range.

> I haven't seen bug 611910 in the release notes of 3.6.14, but its
> 1.9.2 status has been changed yesterday.

I don't think all bug fixes make it into the release notes.  And bug
611910 was initially labeled a security bug -- which might have
prevented its inclusion.
Comment 63 christian 2011-03-04 09:38:59 PST
We're fixing this by backing out 611910. This bug is staying open for investigation as the patch also landed on trunk (even though we haven't been able to reproduce there).
Comment 64 Daniel Veditz [:dveditz] 2011-03-04 10:14:43 PST
The "3.6.15" we're releasing today does not fix this bug, the release containing this bug fix has been renamed to "3.6.16" and the bugzilla flags will be updated to reflect that soon. Today's release is a re-release of 3.6.14 plus a fix for a bug that prevented many Java applets from starting up.
Comment 65 T.J. Crowder 2011-03-04 10:20:08 PST
(In reply to comment #64)
> The "3.6.15" we're releasing today does not fix this bug...
> Today's release is a re-release of 3.6.14
> plus a fix for a bug that prevented many Java applets from starting up.

A _different_ bug that prevented Java applets from starting up? Because this one does too (fairly dramatically)...
Comment 66 markus.neurohr 2011-03-04 10:22:39 PST
@Daniel Veditz(In reply to comment #64)
> The "3.6.15" we're releasing today does not fix this bug, the release
> containing this bug fix has been renamed to "3.6.16" and the bugzilla flags
> will be updated to reflect that soon. 

With "this, do you mean 629030?

> Today's release is a re-release of 3.6.14
> plus a fix for a bug that prevented many Java applets from starting up.

Which exact bug id are you refering to here?

 The confusion is growing...
Comment 67 christian 2011-03-04 10:26:27 PST
That was a mass modify, sorry for the confusion.

This bug is indeed the one fixed in 3.6.15 by backing out bug 611910.

If you see this in 3.6.15 still, I want to know (but I'm pretty confident you won't).
Comment 68 Daniel Veditz [:dveditz] 2011-03-04 10:28:25 PST
Ignore comment 64, this is the bug we're fixing in 3.6.15 -- forgot to take it out of the list of bugs to spam.
Comment 69 Matthias Versen [:Matti] 2011-03-04 10:28:26 PST
*** Bug 638810 has been marked as a duplicate of this bug. ***
Comment 70 Matthias Versen [:Matti] 2011-03-04 10:28:39 PST
*** Bug 638747 has been marked as a duplicate of this bug. ***
Comment 71 Matthias Versen [:Matti] 2011-03-04 10:33:26 PST
*** Bug 638382 has been marked as a duplicate of this bug. ***
Comment 72 Steven Michaud [:smichaud] (Retired) 2011-03-04 10:35:44 PST
Candidate builds for FF 3.6.15 are available at
ftp://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/3.6.15-candidates/.
Those who see this bug should try them out.

Note that one apparent problem with these builds, reported above,
turns out to be a different issue (one that also happens in IE8).  See
comment #38 and comment #49.
Comment 73 Marko Karjalainen 2011-03-04 10:37:57 PST
Tested our implementation with 3.6.15 and looks that it fix problems
Comment 74 christian 2011-03-04 10:49:05 PST
Firefox 3.6.15 is released now and available from mozilla.com.
Comment 75 Marcia Knous [:marcia - use ni] 2011-03-04 11:28:02 PST
*** Bug 638877 has been marked as a duplicate of this bug. ***
Comment 76 Marcia Knous [:marcia - use ni] 2011-03-04 11:33:01 PST
*** Bug 638114 has been marked as a duplicate of this bug. ***
Comment 77 Scoobidiver (away) 2011-03-04 11:38:17 PST
*** Bug 638070 has been marked as a duplicate of this bug. ***
Comment 78 Mats Palmgren (:mats) 2011-03-04 13:28:48 PST
*** Bug 638919 has been marked as a duplicate of this bug. ***
Comment 79 Steven Michaud [:smichaud] (Retired) 2011-03-04 15:12:18 PST
I've found the *real* cause of this bug -- it's a bug in how plugins
are started and stopped.

So there's nothing wrong with the concept of a scheme whitelist for
Java, or (basically) with how my patches for bug 611910 and bug 620773
implemented it.  Or if there *is* something wrong with the concept of
a Java scheme whitelist (or with my implementation of it), this bug
doesn't demonstrate it.

I haven't yet worked out the details of the
plugin-starting-and-stopping bug, or found out when it started
happening (or if it still happens on the trunk).  That will be at
least several days' work -- which I'll start next week.  I'll open a
new bug on it.

I don't normally announce that I've found a bug before working out the
details.  But some of us (including myself) have been anxious about
the possibility that using a Java scheme whitelist will cause trouble
on the trunk (which still has my patch for bug 611910).  So I just
wanted to relieve that anxiety.

For the curious:  Break on NS_CheckIsJavaCompatibleURLString() and try
to reproduce this bug.  You'll find that it only gets called once
(when the applet is first loaded, successfully), and that it never
indicates that any urlString is incompatible.
Comment 80 Matthias Versen [:Matti] 2011-03-04 22:55:49 PST
*** Bug 638808 has been marked as a duplicate of this bug. ***
Comment 81 Jens Yllman 2011-03-06 14:43:46 PST
I seem to have a general problem with java-scripts since 3.6.14. I am now running 3.6.15 and it is still a problem. Facebook is not usable anymore. And many more sites I regularly use. I does work if I start Firefox in safe-mode. I have not yet tried to go back to 3.6.13. But I am sure it stopped working in 3.6.14. You think this is related??
Comment 82 T.J. Crowder 2011-03-06 15:02:19 PST
(In reply to comment #81)
> I seem to have a general problem with java-scripts since 3.6.14.
> [snip]
> You think this is related??

If the problem is really with *JavaScript*, then no -- Java and JavaScript are unrelated technologies (just with similar names). This bug relates to Java applets, not JavaScript.
Comment 83 Jens Yllman 2011-03-06 15:40:53 PST
Sorry to disturb. It was just that this was the only bug I found remotely like I was feeling Firefox behaving, except it was javascript. Now after a second round of disabling plugins one by one I think I have found the plugin causing this.
Comment 84 Steven Michaud [:smichaud] (Retired) 2011-03-07 15:36:28 PST
I've opened bug 639647 ("Restore Java scheme whitelist for NPRuntime plugins on the 1.9.2 branch").
Comment 85 Steven Michaud [:smichaud] (Retired) 2011-03-11 09:51:45 PST
I've got a patch (and a test build) at bug 639647 comment #1 that
fixes the underlying cause of this bug (instead of just backing out my
patches for bug 611910 and bug 620773).

Please test it out, and let us know your results (preferrably at bug
639647).
Comment 86 Constance Clark 2011-03-12 10:03:06 PST
Will you let us know when this is fixed.  Mozilla keeps asking me to update and I have to say "later".  Thank you.
Comment 87 T.J. Crowder 2011-03-12 10:08:09 PST
Re Comment #86: You don't have to wait. In terms of the released versions, the bug only existed in 3.6.14. The current version is 3.6.15, which was released specifically to address this problem (by temporarily backing out the other change that caused it). So you can safely update Firefox right now.
Comment 88 Steven Michaud [:smichaud] (Retired) 2011-03-12 10:55:32 PST
While you're at it, please also try out the test build I mentioned in comment #85 (download and install it separately).  It should also fix the problem(s).

I need other testers besides myself :-)
Comment 89 Constance Clark 2011-03-13 17:53:12 PDT
Thank you so much for addressing this problem.  I have now updated to 3.6.15.  Good going guys!  About the test thing; I don't think I'm really all that computer literate so I'll save myself some worry by passing this up.  Thanks again.
Comment 90 j.j. 2011-07-05 16:16:17 PDT
Why isn't this resolved FIXED?
Comment 91 Steven Michaud [:smichaud] (Retired) 2011-07-05 17:42:39 PDT
> Why isn't this resolved FIXED?

It seems we forgot to.
Comment 92 Tyler Gates 2011-11-10 13:52:30 PST
Steve: Can you please have a look at bug 675642? I believe the fix to this problem has possibly caused inline pdfs to randomly not load.
Comment 93 Steven Michaud [:smichaud] (Retired) 2011-11-10 14:02:27 PST
I don't have time to do it now.  With luck I'll have time next week.
Comment 94 Tyler Gates 2011-11-18 08:45:19 PST
Steve: I apologize but from what my users have experienced, and they are able to do more extensive testing than I can, it appears this fix did not cause a regression with inline PDF's.

I would however greatly appreciate a gander at bug 675642, as its been open for months without any resolve and is becoming a big issue for our organization.

Thanks,
  Tyler

Note You need to log in before you can comment on or make changes to this bug.